STRINGS(1)

NAME
strings - find printable strings in a file

SYNOPSIS
strings [-afo] [-n number] [file ...]

DESCRIPTION
Strings displays the sequences of printable characters in each of the specified files, or in the standard input, by default. By default, a sequence must be at least four characters in length before being displayed.

The options are as follows:

-a  By default, strings only searches the text and data segments of object files. The -a option causes strings to search the entire object file.

-f  Each string is preceded by the name of the file in which it was found.

-n  Specifies the minimum number of characters in a sequence to be number, instead of four.

-o  Each string is preceded by its decimal offset in the file.

Strings is useful for identifying random binaries, among other things.

SEE ALSO
hexdump(1)

BUGS
The algorithm for identifying strings is extremely primitive. In particular, machine code instructions on certain architectures can resemble sequences of ASCII bytes, which will fool the algorithm.

COMPATIBILITY
Historic implementations of strings only search the initialized data portion of the object file. This was reasonable as strings were normally stored there. Given new compiler technology which installs strings in the text portion of the object file, the default behavior was changed.

HISTORY
The strings command appeared in 3.0BSD.